Subject: [PATCH] bisect: swap command-line options in documentation

From: "Hugo Locurcio via GitGitGadget" <[email-masked]>
Date: Fri, 28 Aug 2020 15:31:19 +0000

From: Hugo Locurcio <[email-masked]>

The positional arguments are specified in this order: "bad" then "good".
To avoid confusion, the options above the positional arguments
are now specified in the same order. They can still be specified in any
order since they're options, not positional arguments.

Signed-off-by: Hugo Locurcio <[email-masked]>
---
    rebase: swap command-line options in documentation
    
    I wasted an hour because I thought I'd have to specify "good" then "bad"
    since I followed the order of the options instead of the positional
    arguments. Let's make this harder to happen in the future :)

Published-As: https://github.com/gitgitgadget/git/releases/tag/pr-711%2FCalinou%2Frebase-doc-swap-options-v1
Fetch-It-Via: git fetch https://github.com/gitgitgadget/git pr-711/Calinou/rebase-doc-swap-options-v1
Pull-Request: https://github.com/gitgitgadget/git/pull/711

 Documentation/git-bisect.txt | 2 +-
 builtin/bisect--helper.c     | 2 +-
 git-bisect.sh                | 2 +-
 3 files changed, 3 insertions(+), 3 deletions(-)

diff --git a/Documentation/git-bisect.txt b/Documentation/git-bisect.txt
index 0e993e4587..fbb39fbdf5 100644
--- a/Documentation/git-bisect.txt
+++ b/Documentation/git-bisect.txt
@@ -16,7 +16,7 @@ DESCRIPTION
 The command takes various subcommands, and different options depending
 on the subcommand:
 
- git bisect start [--term-{old,good}=<term> --term-{new,bad}=<term>]
+ git bisect start [--term-{new,bad}=<term> --term-{old,good}=<term>]
 		  [--no-checkout] [--first-parent] [<bad> [<good>...]] [--] [<paths>...]
  git bisect (bad|new|<term-new>) [<rev>]
  git bisect (good|old|<term-old>) [<rev>...]
diff --git a/builtin/bisect--helper.c b/builtin/bisect--helper.c
index cdda279b23..7dcc1b5188 100644
--- a/builtin/bisect--helper.c
+++ b/builtin/bisect--helper.c
@@ -27,7 +27,7 @@ static const char * const git_bisect_helper_usage[] = {
 	N_("git bisect--helper --bisect-check-and-set-terms <command> <good_term> <bad_term>"),
 	N_("git bisect--helper --bisect-next-check <good_term> <bad_term> [<term>]"),
 	N_("git bisect--helper --bisect-terms [--term-good | --term-old | --term-bad | --term-new]"),
-	N_("git bisect--helper --bisect-start [--term-{old,good}=<term> --term-{new,bad}=<term>]"
+	N_("git bisect--helper --bisect-start [--term-{new,bad}=<term> --term-{old,good}=<term>]"
 					    " [--no-checkout] [--first-parent] [<bad> [<good>...]] [--] [<paths>...]"),
 	NULL
 };
diff --git a/git-bisect.sh b/git-bisect.sh
index c7580e51a0..3ec7558bdc 100755
--- a/git-bisect.sh
+++ b/git-bisect.sh
@@ -3,7 +3,7 @@
 USAGE='[help|start|bad|good|new|old|terms|skip|next|reset|visualize|view|replay|log|run]'
 LONG_USAGE='git bisect help
 	print this long help message.
-git bisect start [--term-{old,good}=<term> --term-{new,bad}=<term>]
+git bisect start [--term-{new,bad}=<term> --term-{old,good}=<term>]
 		 [--no-checkout] [<bad> [<good>...]] [--] [<pathspec>...]
 	reset bisect state and start bisection.
 git bisect (bad|new) [<rev>]

base-commit: 20de7e7e4f4e9ae52e6cc7cfaa6469f186ddb0fa
-- 
gitgitgadget